# 32/64bit spec-file
#
%define Werror_cflags	%nil
%define	oname	TORCS
%define	libname	%mklibname %{name}

Name:		torcs
Version:	1.3.4
Release:	%mkrel 1
Summary:	The Open Racing Car Simulator
License:	GPLv2
Group:		Games/Arcade
URL:            http://torcs.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}-src/%{version}/%{oname}-%{version}-src.tgz
Source1:	http://sourceforge.net/projects/%{name}/files/%{name}-src/%{version}/%{oname}-%{version}-src-robots-base.tgz
Source2:	%{name}.png
Patch0:		TORCS-1.3.2-linkorder.patch
BuildRequires:  imagemagick
BuildRequires:	freeglut-devel
BuildRequires:	mesagl-devel
BuildRequires:	png-devel
BuildRequires:	freealut-devel
BuildRequires:	libxrandr-devel
BuildRequires:	openal-devel
BuildRequires:	plib-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxt-devel
BuildRequires:	libxi-devel
BuildRequires:	libxmu-devel
BuildRequires:	libvorbis-devel
Provides:	%{oname}
Requires:	%{name}-data = %{version}
Requires:	%{name}-data-cars-extra 
Requires:	%{name}-robots-base
Suggests:	%{name}-data-nonfree
Suggests:	%{name}-robots-berniw
Suggests:	%{name}-robots-bt
Suggests:	%{name}-robots-olethros
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots
BuildArch:	noarch

%description	robots-base
Base robots for %{oname}

%package	robots-berniw
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}, by Bernhard Wymann.

%package	robots-bt
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}

%package	robots-olethros
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}, by Christos Dimitrakakis.


%prep
%setup -q -b1
%patch0 -p0

%build
./configure --bindir=%{_gamesbindir} \
 	--prefix=%{_prefix} \
 	--libdir=%{_libdir} \
 	--x-libraries=%{_xorglibdir}
make

%install
%makeinstall_std

mkdir %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%defattr(-,root,root,755)
# %doc INSTALL.linux README.linux
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/config
%{_gamesdatadir}/%{name}/telemetry
%{_datadir}/applications/%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}

%files robots-base
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/human
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/sparkle
%{_gamesdatadir}/%{name}/drivers/tita

%files robots-berniw
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/olethros


%changelog
* Sun Jun 09 2013 pinoc < vogtpet at gmail.com> 1.3.4-1pclos2013
- imported package torcs

